Subject: Re: [Drip] I-D Action: draft-ietf-drip-rid-18.txt

From: <[email-masked]>
Date: Fri, 1 Apr 2022 07:41:26 +0000

Hi Bob, all,

Thank you for implementing the list of agreed changes (https://mailarchive.ietf.org/arch/msg/tm-rid/K1tOOlHcdsz1RdMZXsahP2qrBvA/).

I invite everyone to carefully look into this version and share any remaining concern by ** April, 07 **.

Absent any follow-up, we will request publication for this document next Friday 08/04.

If we hear back from IANA before then, Rob will take care of the comments. If not, IANA-related comments will be addressed in due time (IETF LC).

As I already reviewed the document several times, I may have only nits/minor fixes that I will directly share with Rob.

Cheers,
Med

De : Tm-rid <[email-masked]> De la part de Robert Moskowitz
Envoyé : jeudi 31 mars 2022 17:50
À : [email-masked]
Objet : Re: [Drip] I-D Action: draft-ietf-drip-rid-18.txt

Fixed outstanding items of supporting 8-bit HHIT Suite ID.  Please check out that I now have this all done.  Particularly sections 4.2 and 5.

Moved HID registration to drip-registries (and changed reference to ietf-drip-registries!).  That is no longer asking ICAO, here, to manage RAA space.

Some other cleanup, please look at diff.

Still to do:  waiting for IANA review.  So I anticipate a -19
On 3/31/22 11:45, [email-masked]<mailto:[email-masked]> wrote:

A New Internet-Draft is available from the on-line Internet-Drafts directories.

This draft is a work item of the Drone Remote ID Protocol WG of the IETF.

        Title           : DRIP Entity Tag (DET) for Unmanned Aircraft System Remote Identification (UAS RID)

        Authors         : Robert Moskowitz

                          Stuart W. Card

                          Adam Wiethuechter

                          Andrei Gurtov

 Filename        : draft-ietf-drip-rid-18.txt

 Pages           : 33

 Date            : 2022-03-31

Abstract:

   This document describes the use of Hierarchical Host Identity Tags

   (HHITs), updating both [RFC7401] and [RFC7343], as self-asserting

   IPv6 addresses and thereby a trustable identifier for use as the

   Unmanned Aircraft System Remote Identification and tracking (UAS

   RID).  Within the context of RID, HHITs will be called DRIP Entity

   Tags (DET).  HHITs self-attest to the included explicit hierarchy

   that provides Registrar discovery for 3rd-party identifier

   attestation.

The IETF datatracker status page for this draft is:

https://datatracker.ietf.org/doc/draft-ietf-drip-rid/

There is also an HTML version available at:

https://www.ietf.org/archive/id/draft-ietf-drip-rid-18.html

A diff from the previous version is available at:

https://www.ietf.org/rfcdiff?url2=draft-ietf-drip-rid-18

Internet-Drafts are also available by rsync at rsync.ietf.org::internet-drafts

--
Robert Moskowitz
Owner
HTT Consulting
C:      248-219-2059
F:      248-968-2824
E:      [email-masked]<mailto:[email-masked]>

There's no limit to what can be accomplished if it doesn't matter who gets the credit

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: <[email-masked]>
Date: Fri, 1 Apr 2022 13:07:45 +0000

Rob,

Please find below my comments to -18:

  *   pdf: https://github.com/boucadair/IETF-Drafts-Reviews/raw/master/draft-ietf-drip-rid-18-rev%20Med.pdf
  *   doc: https://github.com/boucadair/IETF-Drafts-Reviews/raw/master/draft-ietf-drip-rid-18-rev%20Med.doc

Thank you.

Cheers,
Med

De : Tm-rid <[email-masked]> De la part de [email-masked]
Envoyé : vendredi 1 avril 2022 09:41
À : Robert Moskowitz <[email-masked]>; [email-masked]
Objet : Re: [Drip] I-D Action: draft-ietf-drip-rid-18.txt

Hi Bob, all,

Cheers,
Med

De : Tm-rid <[email-masked]<mailto:[email-masked]>> De la part de Robert Moskowitz
Envoyé : jeudi 31 mars 2022 17:50
À : [email-masked]<mailto:[email-masked]>
Objet : Re: [Drip] I-D Action: draft-ietf-drip-rid-18.txt

                          Stuart W. Card

                          Adam Wiethuechter

                          Andrei Gurtov

 Pages           : 33

 Date            : 2022-03-31

Abstract:

   attestation.

Thank you.

---

From: Robert Moskowitz <[email-masked]>
Date: Fri, 1 Apr 2022 09:23:02 -0400

Just some quick comments.  I will be working on this next week (some 
grandkids, and parents arrived for the weekend early this morning :) ).

On 4/1/22 09:07, [email-masked] wrote:
> Standard
>   * pdf:
>     https://github.com/boucadair/IETF-Drafts-Reviews/raw/master/draft-ietf-drip-rid-18-rev%20Med.pdf
>     <https://github.com/boucadair/IETF-Drafts-Reviews/raw/master/draft-ietf-drip-rid-18-rev%20Med.pdf>
>   * doc:
>     https://github.com/boucadair/IETF-Drafts-Reviews/raw/master/draft-ietf-drip-rid-18-rev%20Med.doc
>

I had to log into github to access....

Some earlier commenter said I had to put the RFCs updated into the 
abstract!  ARGH!

And after I pushed out -18, I thought about removing both the 
crowd-source and secure-nrid draft references.  Those dependencies would 
delay this document.  I want to avoid what happened in PKIX!

There are some comments in French like:  Surlignage and "a mis en forme 
: Français (France)"

Can you please help me with them?

Lots of good comments, thanks.  I will target a -19 for the end of next 
week.  Passover is coming and I will be away, but still connected and 
writing Apr 14 - 26.

> Thank you.
>
> Cheers,
>
> Med
>
> *De :* Tm-rid <[email-masked]> *De la part de* 
> [email-masked]
> *Envoyé :* vendredi 1 avril 2022 09:41
> *À :* Robert Moskowitz <[email-masked]>; [email-masked]
> *Objet :* Re: [Drip] I-D Action: draft-ietf-drip-rid-18.txt
>
> Hi Bob, all,
>
> Thank you for implementing the list of agreed changes 
> (https://mailarchive.ietf.org/arch/msg/tm-rid/K1tOOlHcdsz1RdMZXsahP2qrBvA/).
>
> If we hear back from IANA before then, Rob will take care of the 
> comments. If not, IANA-related comments will be addressed in due time 
> (IETF LC).
>
> As I already reviewed the document several times, I may have only 
> nits/minor fixes that I will directly share with Rob.
>
> Cheers,
>
> Med
>
> *De :* Tm-rid <[email-masked]> *De la part de* Robert Moskowitz
> *Envoyé :* jeudi 31 mars 2022 17:50
> *À :* [email-masked]
> *Objet :* Re: [Drip] I-D Action: draft-ietf-drip-rid-18.txt
>
> Fixed outstanding items of supporting 8-bit HHIT Suite ID. Please 
> check out that I now have this all done. Particularly sections 4.2 and 5.
>
> Moved HID registration to drip-registries (and changed reference to 
> ietf-drip-registries!).  That is no longer asking ICAO, here, to 
> manage RAA space.
>
> On 3/31/22 11:45, [email-masked] wrote:
>
> E: [email-masked]
>

---

From: <[email-masked]>
Date: Fri, 1 Apr 2022 13:36:41 +0000

Re-,

Thanks, Rob.

Removing individual references would be helpful. Also, when we cite the auth I-D, we need to make sure we are not doing so normatively. I made many suggestions so that we can refer to 2.2 of 9153 when appropriate.

Updated RFCs should be mentioned in the abstract, but not as citations: “… the Abstract must not contain citations.” (RFC7322). See the file with a proposal to be explicit about what is being updated for each of these two RFCs.

Cheers,
Med

PS: “Surlignage”: This is so that you can double check the highlighted text. Apologies for the inconvenience.

De : Tm-rid <[email-masked]> De la part de Robert Moskowitz
Envoyé : vendredi 1 avril 2022 15:23
À : BOUCADAIR Mohamed INNOV/NET <[email-masked]>
Cc : [email-masked]
Objet : Re: [Drip] I-D Action: draft-ietf-drip-rid-18.txt

Just some quick comments.  I will be working on this next week (some grandkids, and parents arrived for the weekend early this morning :) ).
On 4/1/22 09:07, [email-masked]<mailto:[email-masked]> wrote:
Rob,

  1.  pdf: https://github.com/boucadair/IETF-Drafts-Reviews/raw/master/draft-ietf-drip-rid-18-rev%20Med.pdf
  2.  doc: https://github.com/boucadair/IETF-Drafts-Reviews/raw/master/draft-ietf-drip-rid-18-rev%20Med.doc

Some earlier commenter said I had to put the RFCs updated into the abstract!  ARGH!

And after I pushed out -18, I thought about removing both the crowd-source and secure-nrid draft references.  Those dependencies would delay this document.  I want to avoid what happened in PKIX!

There are some comments in French like:  Surlignage and "a mis en forme : Français (France)"

Lots of good comments, thanks.  I will target a -19 for the end of next week.  Passover is coming and I will be away, but still connected and writing Apr 14 - 26.

Thank you.

Cheers,
Med

De : Tm-rid <[email-masked]><mailto:[email-masked]> De la part de [email-masked]<mailto:[email-masked]>
Envoyé : vendredi 1 avril 2022 09:41
À : Robert Moskowitz <[email-masked]><mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Objet : Re: [Drip] I-D Action: draft-ietf-drip-rid-18.txt

Hi Bob, all,

Cheers,
Med

                          Stuart W. Card

                          Adam Wiethuechter

                          Andrei Gurtov

 Pages           : 33

 Date            : 2022-03-31

Abstract:

   attestation.

Thank you.

Thank you.

---

From: Robert Moskowitz <[email-masked]>
Date: Mon, 4 Apr 2022 10:26:28 -0400

Removing citations and not exploding the following text are at odds, as 
I was instructed that the abstract needs to say it is updating prior 
rfcs.  I would have to dig to find out where this was added, but lets 
look at this:

    RID).

updating both HIPv2 and ORCHIDv2  ???

What are those, do I expand them to Host Identity Protocol version 2 and 
Overlay Routable Cryptographic Hash Identifiers Version 2  ???

or

updating existing standards defining the Host Identity Tag (HIT) and its 
hash(ed) construction  ???

The Introduction explains what and why Hierarchical Host Identity Tags 
and thus needing to update 7401 and 7343.  How these rfcs are updated is 
covered in later sections.

This is probably the hardest comment to resolved based on prior comments...

thanks

---

From: Robert Moskowitz <[email-masked]>
Date: Mon, 4 Apr 2022 11:03:09 -0400

And on BMI3 on:

    HHITs self-attest to the included explicit hierarchy
    that provides Registrar discovery for 3rd-party identifier
    attestation.

that should not be Registrar, rather registry.

    HHITs self-attest to the included explicit hierarchy
    that enables registry (e.g. DNS) discovery for 3rd-party identifier
    attestation.

On 4/4/22 10:26, Robert Moskowitz wrote:
> Removing citations and not exploding the following text are at odds, 
> as I was instructed that the abstract needs to say it is updating 
> prior rfcs.  I would have to dig to find out where this was added, but 
> lets look at this:
>
> What are those, do I expand them to Host Identity Protocol version 2 
> and Overlay Routable Cryptographic Hash Identifiers Version 2 ???
>
> or
>
> updating existing standards defining the Host Identity Tag (HIT) and 
> its hash(ed) construction  ???
>
> and thus needing to update 7401 and 7343.  How these rfcs are updated 
> is covered in later sections.
>

-- 
Standard Robert Moskowitz
Owner
HTT Consulting
C:248-219-2059
F:248-968-2824
E:[email-masked]

There's no limit to what can be accomplished if it doesn't matter who 
gets the credit

---

From: <[email-masked]>
Date: Mon, 4 Apr 2022 15:10:00 +0000

Hi Bob,

The easiest fix would to go simply go for:

==
NEW:

   This document describes the use of Hierarchical Host Identity Tags
   (HHITs) as self-asserting IPv6 addresses and thereby a trustable
   identifier for use as the Unmanned Aircraft System Remote
   Identification and tracking (UAS RID).

   This document updates RFC 7401 and RFC 7343.
==

… but I wanted us to be explicit whether we are modifying any text from these RFCs or we are just extending them.

Please note that the introduction only says:

==
   This addition of hierarchy to HITs requires updates to both [RFC7401]
   and [RFC7343].
==

Cheers,
Med

De : Tm-rid <[email-masked]> De la part de Robert Moskowitz
Envoyé : lundi 4 avril 2022 16:26
À : BOUCADAIR Mohamed INNOV/NET <[email-masked]>
Cc : [email-masked]
Objet : [Drip] Revised Abstract -- Re: I-D Action: draft-ietf-drip-rid-18.txt

Removing citations and not exploding the following text are at odds, as I was instructed that the abstract needs to say it is updating prior rfcs.  I would have to dig to find out where this was added, but lets look at this:

What are those, do I expand them to Host Identity Protocol version 2 and Overlay Routable Cryptographic Hash Identifiers Version 2  ???

or

updating existing standards defining the Host Identity Tag (HIT) and its hash(ed) construction  ???

The Introduction explains what and why Hierarchical Host Identity Tags and thus needing to update 7401 and 7343.  How these rfcs are updated is covered in later sections.

thanks

Thank you.

Cheers,
Med

Hi Bob, all,

Cheers,
Med

                          Stuart W. Card

                          Adam Wiethuechter

                          Andrei Gurtov

 Pages           : 33

 Date            : 2022-03-31

Abstract:

   attestation.

Thank you.

Thank you.

---

From: <[email-masked]>
Date: Mon, 4 Apr 2022 15:15:23 +0000

Re-,

Isn’t that text echoing what we have in the introduction?

==
   This document describes the use of Hierarchical Host Identity Tags
   (HHITs) (Section 3) as self-asserting IPv6 addresses and thereby a
   trustable identifier for use as the UAS Remote ID.  HHITs include
   explicit hierarchy to enable DNS HHIT queries (Host ID for
   authentication, e.g., [drip-authentication]) and for Extensible
   Provisioning Protocol (EPP) Registrar discovery [RFC7484] for 3rd-
                               ^^^^^^^^^^^^^^^^^^
   party identification attestation (e.g., [drip-authentication]).^
   ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
==

Cheers,
Med

De : Tm-rid <[email-masked]> De la part de Robert Moskowitz
Envoyé : lundi 4 avril 2022 17:03
À : BOUCADAIR Mohamed INNOV/NET <[email-masked]>
Cc : [email-masked]
Objet : Re: [Drip] Revised Abstract -- Re: I-D Action: draft-ietf-drip-rid-18.txt

And on BMI3 on:

or

thanks

Thank you.

Cheers,
Med

Hi Bob, all,

Cheers,
Med

                          Stuart W. Card

                          Adam Wiethuechter

                          Andrei Gurtov

 Pages           : 33

 Date            : 2022-03-31

Abstract:

   attestation.

Thank you.

Thank you.

---

From: Robert Moskowitz <[email-masked]>
Date: Mon, 4 Apr 2022 11:26:38 -0400

My understanding of an abstract is to inform why this document is 
important and what the document is about.  The abstract content is then, 
considerably, expanded in the introduction.

Thus imho this is proper.  In the abstract we talk about HHIT -> 
registry.  In the intro we say how this is done.

I should expand the abstract to (e.g. DNS, EPP)

On 4/4/22 11:15, [email-masked] wrote:
> *Envoyé :* lundi 4 avril 2022 17:03
> *À :* BOUCADAIR Mohamed INNOV/NET <[email-masked]>
> *Cc :* [email-masked]
> *Objet :* Re: [Drip] Revised Abstract -- Re: I-D Action: 
> draft-ietf-drip-rid-18.txt
>
> And on BMI3 on:
>
>     Removing citations and not exploding the following text are at
>     odds, as I was instructed that the abstract needs to say it is
>     updating prior rfcs.  I would have to dig to find out where this
>     was added, but lets look at this:
>
>     What are those, do I expand them to Host Identity Protocol version
>     2 and Overlay Routable Cryptographic Hash Identifiers Version 2  ???
>
>     or
>
>     The Introduction explains what and why Hierarchical Host Identity
>     Tags and thus needing to update 7401 and 7343. How these rfcs are
>     updated is covered in later sections.
>
>          1. pdf:
>          2. doc:
>         *De :* Tm-rid <[email-masked]>
>         <mailto:[email-masked]> *De la part de*
>         *À :* Robert Moskowitz <[email-masked]>
>         <mailto:[email-masked]>; [email-masked]
>         I invite everyone to carefully look into this version and
>         share any remaining concern by ** April, 07 **.
>
>         If we hear back from IANA before then, Rob will take care of
>         the comments. If not, IANA-related comments will be addressed
>         in due time (IETF LC).
>
>         As I already reviewed the document several times, I may have
>         only nits/minor fixes that I will directly share with Rob.
>
>         Cheers,
>
>         Med
>
>         Fixed outstanding items of supporting 8-bit HHIT Suite ID. 
>         Please check out that I now have this all done.  Particularly
>         sections 4.2 and 5.
>
>         Moved HID registration to drip-registries (and changed
>         reference to ietf-drip-registries!).  That is no longer asking
>         ICAO, here, to manage RAA space.
>

---

From: Robert Moskowitz <[email-masked]>
Date: Mon, 4 Apr 2022 11:29:21 -0400

On 4/4/22 11:10, [email-masked] wrote:
>    This document updates RFC7401 and RFC 7343.
>
> ==
>

Ok.  Don't bury rfcs in abstract content.

> … but I wanted us to be explicit whether we are modifying any text 
> from these RFCs or we are just extending them.
>

extends 7401 and updates 7343.  I will look at fixing Intro per below 
comment.

> *Envoyé :* lundi 4 avril 2022 16:26
> *Objet :* [Drip] Revised Abstract -- Re: I-D Action: 
>     I invite everyone to carefully look into this version and share
>     any remaining concern by ** April, 07 **.
>
>     comments. If not, IANA-related comments will be addressed in due
>     time (IETF LC).
>
>     Moved HID registration to drip-registries (and changed reference
>     to ietf-drip-registries!).  That is no longer asking ICAO, here,
>     to manage RAA space.
>

---

From: <[email-masked]>
Date: Mon, 4 Apr 2022 15:32:15 +0000

Re-,

The initial comment was to ensure the abstract is self-contained. It wasn’t the case with “registrar discovery” thing.

I trust you will do the right thing. Thanks.

Cheers,
Med

De : Tm-rid <[email-masked]> De la part de Robert Moskowitz
Envoyé : lundi 4 avril 2022 17:27
À : BOUCADAIR Mohamed INNOV/NET <[email-masked]>
Cc : [email-masked]
Objet : Re: [Drip] Revised Abstract -- Re: I-D Action: draft-ietf-drip-rid-18.txt

My understanding of an abstract is to inform why this document is important and what the document is about.  The abstract content is then, considerably, expanded in the introduction.

Thus imho this is proper.  In the abstract we talk about HHIT -> registry.  In the intro we say how this is done.

On 4/4/22 11:15, [email-masked]<mailto:[email-masked]> wrote:
Re-,

==

Cheers,
Med

De : Tm-rid <[email-masked]><mailto:[email-masked]> De la part de Robert Moskowitz
Envoyé : lundi 4 avril 2022 17:03
À : BOUCADAIR Mohamed INNOV/NET <[email-masked]><mailto:[email-masked]>
Cc : [email-masked]<mailto:[email-masked]>
Objet : Re: [Drip] Revised Abstract -- Re: I-D Action: draft-ietf-drip-rid-18.txt

And on BMI3 on:

or

thanks

Thank you.

Cheers,
Med

Hi Bob, all,

Cheers,
Med

                          Stuart W. Card

                          Adam Wiethuechter

                          Andrei Gurtov

 Pages           : 33

 Date            : 2022-03-31

Abstract:

   attestation.

Thank you.

Thank you.

Thank you.

---

From: Robert Moskowitz <[email-masked]>
Date: Wed, 6 Apr 2022 10:59:56 -0400

I think I have addressed all of your comments and will shortly be 
posting -19.

I think I can pull out references to secure-nrid-c2 which will clean up 
draft dependencies.

Nit change in IANA considerations on TBD6.

Otherwise, everyone, please read through the soon to be posted -19...

>     https://github.com/boucadair/IETF-Drafts-Reviews/raw/master/draft-ietf-drip-rid-18-rev%20Med.doc

BMI4:

"DRIP Requirements" comes from the title of 9153, so:

    DRIP Requirements [RFC9153] describe an Unmanned Aircraft System
    Remote Identification and tracking (UAS ID) as unique (ID-4), non-

BMI6:  Oops!  And I thought I did a find on '32'...

BMI8:  Meaning the openssl program with the rand option as in:
        openssl rand -hex 16

So what pointer should I add?

"Note to the RFC Editor: Please replace TBD6 with the assigned IPv6
prefix in Section 9.5."

Why include this?  All TDBs reference something in IANA Considerations.  
My understanding this is "the way to handle IANA assigned values".  So 
TBD1 - 5 does not have RFC editor notes.

BMI13

See 3rd para in introduction.

BMI14:

OOPS!  This was suppose to go with the addition of the 8-bit HHSI.

Thanks...

BMI17:

Another oops that is a left-over and missed.  But this goes back further 
and I did not catch it after how many read-throughs?

BMI18:  ARGH!!! which rfc?  I used 4034...

sec 4.6:  I had to read up in the FAQ how to reference 2 sections...

BMI19:  No, 8005.  Specifically how to reverse lookup HITs.  At least 
that was my intent.  I am open to other views.

BMI21: 1/2 of removing crowd-sourced-rid from this doc...

---

From: <[email-masked]>
Date: Thu, 7 Apr 2022 12:44:46 +0000

Hi all,

As we didn’t hear any objection to the -18 and that Rob addressed almost all my comments in -19, we will proceed with the publication request for this document.

The next step is to finalize the write-up.

Cheers,
Med

Hi Bob, all,

Cheers,
Med

                          Stuart W. Card

                          Adam Wiethuechter

                          Andrei Gurtov

 Pages           : 33

 Date            : 2022-03-31

Abstract:

   attestation.

Thank you.

---

From: <[email-masked]>
Date: Fri, 8 Apr 2022 10:04:55 +0000

Hi all,

FWIW, the write-up is available at: https://datatracker.ietf.org/doc/draft-ietf-drip-rid/shepherdwriteup/

Bob will release a new revision to fix two issues. Once done, will update the write-up and send the document to Éric.

Cheers,
Med

De : Tm-rid <[email-masked]> De la part de [email-masked]
Envoyé : jeudi 7 avril 2022 14:45
À : Robert Moskowitz <[email-masked]>; [email-masked]
Objet : Re: [Drip] I-D Action: draft-ietf-drip-rid-18.txt

Hi all,

Cheers,
Med

De : Tm-rid <[email-masked]<mailto:[email-masked]>> De la part de [email-masked]<mailto:[email-masked]>
Envoyé : vendredi 1 avril 2022 09:41
À : Robert Moskowitz <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Objet : Re: [Drip] I-D Action: draft-ietf-drip-rid-18.txt

Hi Bob, all,

Cheers,
Med

                          Stuart W. Card

                          Adam Wiethuechter

                          Andrei Gurtov

 Pages           : 33

 Date            : 2022-03-31

Abstract:

   attestation.